package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * GatewayPortsConfigEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class GatewayPortsConfigEntity   {
  @JsonProperty("portsConfig")
  @Valid
  private List<GatewayPortConfig> portsConfig = null;

  public GatewayPortsConfigEntity portsConfig(List<GatewayPortConfig> portsConfig) {
    this.portsConfig = portsConfig;
    return this;
  }

  public GatewayPortsConfigEntity addPortsConfigItem(GatewayPortConfig portsConfigItem) {
    if (this.portsConfig == null) {
      this.portsConfig = new ArrayList<>();
    }
    this.portsConfig.add(portsConfigItem);
    return this;
  }

  /**
   * gateway port config entity
   * @return portsConfig
  */
  @ApiModelProperty(value = "gateway port config entity")

  @Valid

  public List<GatewayPortConfig> getPortsConfig() {
    return portsConfig;
  }

  public void setPortsConfig(List<GatewayPortConfig> portsConfig) {
    this.portsConfig = portsConfig;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    GatewayPortsConfigEntity gatewayPortsConfigEntity = (GatewayPortsConfigEntity) o;
    return Objects.equals(this.portsConfig, gatewayPortsConfigEntity.portsConfig);
  }

  @Override
  public int hashCode() {
    return Objects.hash(portsConfig);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class GatewayPortsConfigEntity {\n");
    
    sb.append("    portsConfig: ").append(toIndentedString(portsConfig)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

